Latest Xpediter Compiler with XML Compatibility



Compuware's QA & Impact Analysis Tools: Xpediter/CICS , Xpediter/TSO, Xpediter/DB2, Xpediter/Xchange, Xpediter/IMS

Latest Xpediter Compiler with XML Compatibility

Postby MFFLCrime » Fri Aug 31, 2012 3:59 am

Hi All,

I'm experiencing difficulties compiling a Cobol Db2 XML program because the version of the Xpediter compiler is for Cobol 390. Can someone provide a version for Enterprise Cobol? I've looked everywhere and I cannot find one on the Web. I did determine that, from Xpediter Rel 7.6, there is a compiler compatible with XML. The error I'm getting is "Invalid Option "XMLPARSE(COMPAT)" was found and discarded" after added this compiler option to my COB390 compiler JCL. We are running R9 of Xpediter.

Thanks in advance,

MFFLCrime
MFFLCrime
 
Posts: 8
Joined: Tue Jul 31, 2012 6:47 am
Has thanked: 0 time
Been thanked: 0 time

Re: Latest Xpediter Compiler with XML Compatibility

 

Re: Latest Xpediter Compiler with XML Compatibility

Postby Robert Sample » Fri Aug 31, 2012 7:02 am

You seem to have some VERY WRONG ideas about COBOL and Xpediter. Xpediter works by using the source code, or more typically the output of the compiler, and analyzing that code. The version of Xpediter will have ABSOLUTELY NOTHING to do with whether or not the XMLPARSE option can be used with the compiler. Since the XMLPARSE option is provided with Enterprise COBOL version 4.2 or higher, your site either needs to get with IBM to upgrade your compiler, or you need to forget the idea of using the XMLPARSE option.

Since the COBOL compiler is copyrighted by IBM, and Xpediter is copyrighted by Compuware, it would be illegal for your site to download and install a version of either from the Internet, even if you could find one.
Robert Sample
Global moderator
 
Posts: 3368
Joined: Sat Dec 19, 2009 8:32 pm
Location: Dubuque, Iowa, USA
Has thanked: 1 time
Been thanked: 222 times


Return to Xpediter

 


  • Related topics
    Replies
    Views
    Last post